import { ATABootstrapConfig } from '@typescript/ata';
type DelegateListener = Required<{
    [k in keyof ATABootstrapConfig['delegate']]: Set<NonNullable<ATABootstrapConfig['delegate'][k]>>;
}>;
type InferSet<T> = T extends Set<infer U> ? U : never;
export declare function createATA(): Promise<{
    acquireType: (code: string) => Promise<void>;
    addListener: <T extends keyof DelegateListener>(event: T, handler: InferSet<DelegateListener[T]>) => void;
    removeListener: <T extends keyof DelegateListener>(event: T, handler: InferSet<DelegateListener[T]>) => void;
    dispose: () => void;
}>;
export {};
